gstreamermm: Gst::BaseAudioSink Class Reference

# Gst::BaseAudioSink Class Reference
[gstreamermm Base Classes]

Gst::BaseAudioSink - Base class for audio sinks. More...

`#include <baseaudiosink.h>`

Inheritance diagram for Gst::BaseAudioSink:

List of all members.

## Public Member Functions
virtual | ~BaseAudioSink ()
GstBaseAudioSink* | gobj ()
| Provides access to the underlying C GObject.
const GstBaseAudioSink* | gobj () const
| Provides access to the underlying C GObject.
GstBaseAudioSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<Gst::Clock> | get_provided_clock () const
| Get the Gst::Clock of the Gst::BaseAudioSink.
void | set_provide_clock (bool provide)
| Controls whether sink will provide a clock or not.
bool | get_provide_clock () const
| Queries whether sink will provide a clock or not.
void | set_slave_method (Gst::BaseAudioSinkSlaveMethod method)
| Controls how clock slaving will be performed in sink.
Gst::BaseAudioSinkSlaveMethod | get_slave_method () const
| Get the current slave method used by sink.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::BaseAudioSink> | wrap (GstBaseAudioSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::BaseAudioSink - Base class for audio sinks.

This is the base class for audio sinks. Subclasses need to implement the create_ringbuffer_vfunc vmethod. This base class will then take care of writing samples to the ringbuffer, synchronisation, clipping and flushing.

Last reviewed on 2006-09-27 (0.10.12).

## Constructor & Destructor Documentation

virtual Gst::BaseAudioSink::~BaseAudioSink | ( |  | ) | `[virtual]`

## Member Function Documentation

GstBaseAudioSink* Gst::BaseAudioSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::AlsaSink, and Gst::AudioSink.

const GstBaseAudioSink* Gst::BaseAudioSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::AlsaSink, and Gst::AudioSink.

GstBaseAudioSink* Gst::BaseAudioSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::AlsaSink, and Gst::AudioSink.

Glib::RefPtr<Gst::Clock> Gst::BaseAudioSink::get_provided_clock | ( |  | ) | const

Get the Gst::Clock of the Gst::BaseAudioSink.

void Gst::BaseAudioSink::set_provide_clock | ( | bool | provide | ) |

Controls whether sink will provide a clock or not.

If provide is `true`, Gst::Element::provide_clock() will return a clock that reflects the datarate of sink. If provide is `false`, Gst::Element::provide_clock() will return `0`.

Since: 0.10.16

Parameters:

  | provide | New state.

bool Gst::BaseAudioSink::get_provide_clock | ( |  | ) | const

Queries whether sink will provide a clock or not.

See also gst_base_audio_sink_set_provide_clock.

Returns:
  `true` if sink will provide a clock.

Since: 0.10.16.

void Gst::BaseAudioSink::set_slave_method | ( | Gst::BaseAudioSinkSlaveMethod | method | ) |

Controls how clock slaving will be performed in sink.

Since: 0.10.16

Parameters:

  | method | The new slave method.

Gst::BaseAudioSinkSlaveMethod Gst::BaseAudioSink::get_slave_method | ( |  | ) | const

Get the current slave method used by sink.

Returns:
  The current slave method used by sink.

Since: 0.10.16.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::BaseAudioSink> wrap | ( | GstBaseAudioSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- baseaudiosink.h